> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Topaz Video Upscale

> - Topaz video enhancement model, input an existing video and output an upscaled enhanced version
- Supports selecting enhancement model, upscale factor and frame interpolation parameters
- Asynchronous processing mode, use the returned task ID to [query task status](/pages/en/api-manual/task-management/get-task-detail)
- Generated video links are valid for 24 hours, please save them promptly




## OpenAPI

````yaml openapi/en/topaz-upscale-video.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: Topaz Video Upscale
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - Video > Topaz
      summary: Topaz Video Upscale
      description: >
        - Topaz video enhancement model, input an existing video and output an
        upscaled enhanced version

        - Supports selecting enhancement model, upscale factor and frame
        interpolation parameters

        - Asynchronous processing mode, use the returned task ID to [query task
        status](/pages/en/api-manual/task-management/get-task-detail)

        - Generated video links are valid for 24 hours, please save them
        promptly
      operationId: topaz-upscale-video
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TopazUpscaleVideoRequest'
            examples:
              example_0:
                summary: Basic video enhancement
                value:
                  model: topaz-upscale-video
                  video_url: https://example.com/input-video.mp4
                  enhancement_model: Proteus
                  upscale_factor: 2
              example_1:
                summary: Enable frame interpolation and detail recovery
                value:
                  model: topaz-upscale-video
                  video_url: https://example.com/clip.mp4
                  enhancement_model: Starlight Precise 2.5
                  upscale_factor: 4
                  target_fps: 60
                  recover_detail: 0.35
                  h264_output: true
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    TopazUpscaleVideoRequest:
      type: object
      required:
        - model
        - video_url
      properties:
        model:
          description: >-
            `topaz-upscale-video`: Input a video URL, output an upscaled and
            enhanced video
          examples:
            - topaz-upscale-video
          type: string
          default: topaz-upscale-video
        video_url:
          description: |
            Public URL of the video to enhance

            **Notes:**
            - The upstream service needs to be able to directly access this URL
            - The video will be upscaled and enhanced
          type: string
          example: https://example.com/input-video.mp4
        enhancement_model:
          default: Proteus
          description: >
            Enhancement model name


            **Notes:**

            - Default `Proteus`, suitable for most videos

            - `Artemis` series focuses on denoising and sharpening

            - `Nyx` series focuses on noise cleanup

            - `Gaia` series is better suited for renders, animation or motion
            graphics

            - `Starlight` series focuses on generative enhancement
          enum:
            - Proteus
            - Artemis HQ
            - Artemis MQ
            - Artemis LQ
            - Nyx
            - Nyx Fast
            - Nyx XL
            - Nyx HF
            - Gaia HQ
            - Gaia CG
            - Gaia 2
            - Starlight Precise 1
            - Starlight Precise 2
            - Starlight Precise 2.5
            - Starlight HQ
            - Starlight Mini
            - Starlight Sharp
            - Starlight Fast 1
            - Starlight Fast 2
          type: string
          example: Proteus
        upscale_factor:
          default: 2
          description: |
            Upscale factor

            **Notes:**
            - Range `1-4`
            - `2` means both width and height are doubled
          maximum: 4
          minimum: 1
          type: number
          example: 2
        target_fps:
          anyOf:
            - maximum: 60
              minimum: 16
              type: integer
            - type: 'null'
          default: null
          description: |-
            Target frame rate

            **Notes:**
            - Range `16-60`
            - When provided, frame interpolation will be enabled


            > Do not pass this parameter unless necessary.
          x-advanced: true
          example: 24
        compression:
          anyOf:
            - maximum: 1
              minimum: 0
              type: number
            - type: 'null'
          default: null
          description: |-
            Compression artifact removal strength

            **Notes:**
            - Range `0.0-1.0`
            - Uses model default when not provided


            > Do not pass this parameter unless necessary.
          x-advanced: true
          example: 0.3
        noise:
          anyOf:
            - maximum: 1
              minimum: 0
              type: number
            - type: 'null'
          default: null
          description: |-
            Noise reduction strength

            **Notes:**
            - Range `0.0-1.0`
            - Uses model default when not provided


            > Do not pass this parameter unless necessary.
          x-advanced: true
          example: 0.2
        halo:
          anyOf:
            - maximum: 1
              minimum: 0
              type: number
            - type: 'null'
          default: null
          description: |-
            Halo suppression strength

            **Notes:**
            - Range `0.0-1.0`
            - Uses model default when not provided


            > Do not pass this parameter unless necessary.
          x-advanced: true
          example: 0.15
        grain:
          anyOf:
            - maximum: 1
              minimum: 0
              type: number
            - type: 'null'
          default: null
          description: |-
            Film grain strength

            **Notes:**
            - Range `0.0-1.0`
            - Uses model default when not provided


            > Do not pass this parameter unless necessary.
          x-advanced: true
          example: 0.1
        recover_detail:
          anyOf:
            - maximum: 1
              minimum: 0
              type: number
            - type: 'null'
          default: null
          description: |-
            Original detail recovery strength

            **Notes:**
            - Range `0.0-1.0`
            - Higher values preserve more original image details


            > Do not pass this parameter unless necessary.
          x-advanced: true
          example: 0.35
        h264_output:
          default: false
          description: |-
            Whether to output H.264 encoded video

            **Notes:**
            - Default `false`, outputs H.265
            - Set to `true` for H.264 output


            > Do not pass this parameter unless necessary.
          type: boolean
          x-advanced: true
          example: false
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: Task creation timestamp
          example: 1757165031
        id:
          type: string
          description: Task ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: Model name actually used
        object:
          type: string
          description: Task type
          enum:
            - video.generation.task
        progress:
          type: integer
          description: Task progress percentage (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Task status
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: Async task information
          properties:
            can_cancel:
              type: boolean
              description: Whether the task can be cancelled
              example: true
            estimated_time:
              type: integer
              description: Estimated completion time (seconds)
              example: 45
        type:
          type: string
          description: Task output type
          enum:
            - video
          example: video
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Bad request format
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid API key
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Insufficient balance
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Validation failed
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Rate limit exceeded
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Internal server error
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Service temporarily unavailable, please try again later
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: Task created successfully
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: Bad request format
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: Insufficient balance
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: Validation failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: Service unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## All endpoints require Bearer Token authentication ##

        Add to request header:

        `Authorization: Bearer YOUR_API_KEY`

````